scoreboard objectives remove deeper_dark.var
scoreboard objectives add deeper_dark.var dummy
#gamerules
function deeper_dark:default_gamerules

#in
execute as @a[nbt={SelectedItem:{id:"minecraft:echo_shard"}},nbt=!{SelectedItem:{tag:{}}},predicate=minecraft:in_overworld,tag=!deeper_dark.tp_cooldown,gamemode=!spectator] at @s if block ~ ~-.1 ~ minecraft:reinforced_deepslate unless entity @a[tag=deeper_dark.tp_in_player] run tag @s add deeper_dark.tp_in_player
execute as @a[tag=deeper_dark.tp_in_player] run scoreboard players add @s deeper_dark.var 0
execute as @a[tag=deeper_dark.tp_in_player] in deeper_dark:deeper_dark run scoreboard players set @s deeper_dark.var 1
execute as @a[tag=deeper_dark.tp_in_player,scores={deeper_dark.var=0}] run tellraw @a [{"text":"["},{"text":"deeper_dark","color":"#007A8A"},{"text":"] "},{"text":"Something went wrong. Please try rejoining the singleplayer world/restarting the server. If the issue persists, report the bug on Planet Minecraft. [err_dim_not_exist]","color":"red"}]
execute as @a[tag=deeper_dark.tp_in_player] at @s run tag @s add deeper_dark.tp_cooldown
execute as @a[tag=deeper_dark.tp_in_player] at @s run function deeper_dark:save
execute as @a[tag=deeper_dark.tp_in_player] at @s in deeper_dark:deeper_dark run tp @s[tag=deeper_dark.tp_in_player] ~ 0 ~
execute as @a[tag=deeper_dark.tp_in_player] at @s run spreadplayers ~ ~ 0 10 under 63 false @s[predicate=deeper_dark:in_deeper_dark]
execute as @a[tag=deeper_dark.tp_in_player] at @s run fill ~ ~ ~ ~ ~1 ~ minecraft:air destroy
execute as @a[tag=deeper_dark.tp_in_player] at @s run fill ~-10 ~-10 ~-10 ~10 ~10 ~10 minecraft:air replace minecraft:sculk_sensor
execute as @a[tag=deeper_dark.tp_in_player] at @s run fill ~-10 ~-10 ~-10 ~10 ~10 ~10 minecraft:air replace minecraft:sculk_shrieker
execute as @a[tag=deeper_dark.tp_in_player] at @s run playsound minecraft:entity.warden.sonic_boom ambient @s ~ ~ ~ 1 0 1
execute as @a[tag=deeper_dark.tp_in_player] at @s run playsound minecraft:block.portal.ambient ambient @s ~ ~ ~ 1 2 1
execute as @a[tag=deeper_dark.tp_in_player] at @s run playsound minecraft:block.sculk_shrieker.shriek ambient @s ~ ~ ~ 1 0 1
execute as @a[tag=deeper_dark.tp_in_player] at @s run playsound minecraft:block.respawn_anchor.set_spawn ambient @s ~ ~ ~ 1 0 1
execute as @a[tag=deeper_dark.tp_in_player] at @s run playsound minecraft:block.enchantment_table.use ambient @s ~ ~ ~ 1 2 1
execute as @a[tag=deeper_dark.tp_in_player] at @s run tag @s remove deeper_dark.tp_in_player
scoreboard players set @a deeper_dark.var 0

#out
execute as @p[nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b}},nbt={SelectedItem:{tag:{DeeperDarkKey:1b}}},predicate=deeper_dark:in_deeper_dark,tag=!deeper_dark.tp_cooldown,gamemode=!spectator] at @s if block ~ ~-.1 ~ minecraft:reinforced_deepslate unless entity @a[tag=deeper_dark.tp_out_player] unless entity @e[type=minecraft:warden,predicate=deeper_dark:in_deeper_dark,distance=0..50] run tag @s add deeper_dark.tp_out_player
execute as @p[nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b}},nbt={SelectedItem:{tag:{DeeperDarkKey:1b}}},predicate=deeper_dark:in_deeper_dark,tag=!deeper_dark.tp_cooldown,gamemode=!spectator] at @s if block ~ ~-.1 ~ minecraft:reinforced_deepslate unless entity @a[tag=deeper_dark.tp_out_player] if entity @e[type=minecraft:warden,predicate=deeper_dark:in_deeper_dark,distance=0..50] run tellraw @s {"text":"The Warden is preventing the portal from working.","color":"#007A8A"}
execute as @p[nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b}},nbt={SelectedItem:{tag:{DeeperDarkKey:1b}}},predicate=deeper_dark:in_deeper_dark,tag=!deeper_dark.tp_cooldown,gamemode=!spectator] at @s if block ~ ~-.1 ~ minecraft:reinforced_deepslate unless entity @a[tag=deeper_dark.tp_out_player] if entity @e[type=minecraft:warden,predicate=deeper_dark:in_deeper_dark,distance=0..50] run advancement grant @s only deeper_dark:locked_out
execute as @p[nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b}},nbt={SelectedItem:{tag:{DeeperDarkKey:1b}}},predicate=deeper_dark:in_deeper_dark,tag=!deeper_dark.tp_cooldown,gamemode=!spectator] at @s if block ~ ~-.1 ~ minecraft:reinforced_deepslate unless entity @a[tag=deeper_dark.tp_out_player] if entity @e[type=minecraft:warden,predicate=deeper_dark:in_deeper_dark,distance=0..50] run tag @s add deeper_dark.tp_cooldown
execute as @a[tag=deeper_dark.tp_out_player] at @s run tag @s add deeper_dark.tp_cooldown
execute as @a[tag=deeper_dark.tp_out_player] at @s run summon minecraft:armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["deeper_dark.tp_out"]}
execute as @a[tag=deeper_dark.tp_out_player] at @s run item replace entity @e[tag=deeper_dark.tp_out,limit=1,sort=nearest] weapon.mainhand from entity @s weapon.mainhand
execute as @e[tag=deeper_dark.tp_out,limit=1,sort=nearest] at @s run function deeper_dark:forceload
advancement grant @a[tag=deeper_dark.tp_out_player] only deeper_dark:way_out
execute as @a[tag=deeper_dark.tp_out_player,predicate=minecraft:in_overworld,nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b,tag:{DeeperDarkKey:1b}}}] at @s run playsound minecraft:block.grindstone.use ambient @a ~ ~ ~ 1 0
item replace entity @a[tag=deeper_dark.tp_out_player,predicate=minecraft:in_overworld,nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b,tag:{DeeperDarkKey:1b}}}] weapon.mainhand with minecraft:echo_shard
execute as @a[tag=deeper_dark.tp_out_player] at @s run playsound minecraft:entity.warden.sonic_boom ambient @s ~ ~ ~ 1 0 1
execute as @a[tag=deeper_dark.tp_out_player] at @s run playsound minecraft:block.portal.ambient ambient @s ~ ~ ~ 1 2 1
execute as @a[tag=deeper_dark.tp_out_player] at @s run playsound minecraft:block.sculk_shrieker.shriek ambient @s ~ ~ ~ 1 0 1
execute as @a[tag=deeper_dark.tp_out_player] at @s run playsound minecraft:block.respawn_anchor.set_spawn ambient @s ~ ~ ~ 1 0 1
execute as @a[tag=deeper_dark.tp_out_player] at @s run tag @s remove deeper_dark.tp_out_player
execute as @e[tag=deeper_dark.tp_out,limit=1,sort=nearest] at @s run kill @s

#cooldown
execute as @e[tag=deeper_dark.tp_cooldown] at @s if loaded ~ ~ ~ unless block ~ ~-.1 ~ minecraft:reinforced_deepslate positioned ~-.5 ~ ~-.5 unless entity @e[dx=0.5,dy=0.5,dz=0.5,tag=deeper_dark.portal_marker] run tag @s remove deeper_dark.tp_cooldown

#particle
execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 as @a[nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b}},nbt=!{SelectedItem:{tag:{}}},predicate=minecraft:in_overworld,tag=!deeper_dark.tp_cooldown,gamemode=!spectator] at @s store success score @s deeper_dark.var run fill ~-5 ~-5 ~-5 ~5 ~5 ~5 chain_command_block{Command:"deeper_dark.near_portal"} replace reinforced_deepslate
execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 as @a[nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b}},nbt=!{SelectedItem:{tag:{}}},predicate=minecraft:in_overworld,tag=!deeper_dark.tp_cooldown,gamemode=!spectator] at @s run fill ~-5 ~-5 ~-5 ~5 ~5 ~5 reinforced_deepslate replace chain_command_block{Command:"deeper_dark.near_portal"}
execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 at @a[scores={deeper_dark.var=1}] run particle minecraft:sculk_soul ~ ~ ~ 2 2 2 0 1 force
execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 at @a[scores={deeper_dark.var=1}] run playsound minecraft:block.sculk_catalyst.bloom ambient @a ~ ~ ~ .75 0
scoreboard players set @a deeper_dark.var 0

execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 as @a[nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b}},nbt={SelectedItem:{tag:{DeeperDarkKey:1b}}},predicate=deeper_dark:in_deeper_dark,tag=!deeper_dark.tp_cooldown,gamemode=!spectator] at @s unless entity @e[type=minecraft:warden,predicate=deeper_dark:in_deeper_dark,distance=0..50] store success score @s deeper_dark.var run fill ~-5 ~-5 ~-5 ~5 ~5 ~5 chain_command_block{Command:"deeper_dark.near_portal"} replace reinforced_deepslate
execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 as @a[nbt={SelectedItem:{id:"minecraft:echo_shard",Count:1b}},nbt={SelectedItem:{tag:{DeeperDarkKey:1b}}},predicate=deeper_dark:in_deeper_dark,tag=!deeper_dark.tp_cooldown,gamemode=!spectator] at @s unless entity @e[type=minecraft:warden,predicate=deeper_dark:in_deeper_dark,distance=0..50] run fill ~-5 ~-5 ~-5 ~5 ~5 ~5 reinforced_deepslate replace chain_command_block{Command:"deeper_dark.near_portal"}
execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 at @a[scores={deeper_dark.var=1}] run particle minecraft:sculk_soul ~ ~ ~ 2 2 2 0 1 force
execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 at @a[scores={deeper_dark.var=1}] run playsound minecraft:block.sculk_catalyst.bloom ambient @a ~ ~ ~ .75 0
scoreboard players set @a deeper_dark.var 0

execute in deeper_dark:deeper_dark if entity @e[distance=0..] run function deeper_dark:in_deeper_dark


#items
execute if entity @e[type=item,nbt={Item:{id:"minecraft:enchanted_book",tag:{deeper_dark_enchanted_book:1b}}},nbt=!{Age:-32768s}] run function deeper_dark:armor/book

effect give @a[nbt={Inventory:[{Slot:103b,tag:{deeper_dark_enchantments:["clearsight"]}}],ActiveEffects:[{Id:33,Amplifier:0b}]}] minecraft:darkness 2 10 true
effect clear @a[nbt={Inventory:[{Slot:103b,tag:{deeper_dark_enchantments:["clearsight"]}}],ActiveEffects:[{Id:15,Amplifier:0b}]}] minecraft:blindness

scoreboard players add @e[tag=deeper_dark.sonicattack] deeper_dark.sonicattack 1
execute as @a[scores={deeper_dark.sonicattack=1..99}] unless entity @s[x_rotation=70..90,predicate=deeper_dark:is_sneaking] run title @s actionbar {"text":"Canceled","color":"#007A8A"}
execute as @a[nbt=!{Inventory:[{Slot:102b,tag:{deeper_dark_enchantments:["sonic_boom"]}}]}] run scoreboard players set @s deeper_dark.sonicattack 0
execute as @a[scores={deeper_dark.sonicattack=0..99}] unless score @s deeper_dark.sonicattack matches 100..999 unless entity @s[x_rotation=70..90] run scoreboard players set @s deeper_dark.sonicattack 0
execute as @a[scores={deeper_dark.sonicattack=0..99},predicate=!deeper_dark:is_sneaking] unless score @s deeper_dark.sonicattack matches 100.. run scoreboard players set @s deeper_dark.sonicattack 0
execute at @a[scores={deeper_dark.sonicattack=3}] run playsound minecraft:entity.warden.sonic_charge ambient @a ~ ~ ~ 2 1
scoreboard players add @a[nbt={Inventory:[{Slot:102b,tag:{deeper_dark_enchantments:["sonic_boom"]}}]},x_rotation=70..90,predicate=deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=0..99}] deeper_dark.sonicattack 3
scoreboard players set @a[scores={deeper_dark.sonicattack=90..}] deeper_dark.sonicattack 100
execute as @a[nbt={Inventory:[{Slot:102b,tag:{deeper_dark_enchantments:["sonic_boom"]}}]},x_rotation=70..90,predicate=deeper_dark:is_sneaking] run title @s actionbar [{"score":{"name":"@s","objective":"deeper_dark.sonicattack"},"color":"#007A8A"},{"text":"%"}]

execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^1 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^2 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^3 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^4 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^5 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^6 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^7 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^8 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^9 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^10 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^11 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^12 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^13 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^14 run function deeper_dark:armor/sonicattack
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] at @s anchored eyes positioned ^ ^ ^15 run function deeper_dark:armor/sonicattack

execute at @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] run playsound minecraft:entity.warden.sonic_boom ambient @a ~ ~ ~ 2 1
execute as @a[predicate=!deeper_dark:is_sneaking,scores={deeper_dark.sonicattack=100}] run scoreboard players set @s deeper_dark.sonicattack -60
execute as @a[scores={deeper_dark.sonicattack=..-2}] run title @s actionbar {"text":"Cooldown","color":"#007A8A"}
execute as @a[scores={deeper_dark.sonicattack=-1}] run title @s actionbar {"text":"Ready","color":"#007A8A"}
scoreboard players add @a[scores={deeper_dark.sonicattack=..-1}] deeper_dark.sonicattack 1

execute as @a[nbt={Inventory:[{Slot:101b,tag:{deeper_dark_enchantments:["safefall"]}}]},nbt=!{OnGround:1b}] store result score @s deeper_dark.var run data get entity @s FallDistance
effect give @a[nbt={Inventory:[{Slot:101b,tag:{deeper_dark_enchantments:["safefall"]}}]},nbt=!{ActiveEffects:[{Id:28}]},scores={deeper_dark.var=2..},nbt=!{XpLevel:0,XpP:0f}] minecraft:slow_falling 1 10 true
experience add @a[nbt={Inventory:[{Slot:101b,tag:{deeper_dark_enchantments:["safefall"]}}]},nbt={ActiveEffects:[{Id:28,Amplifier:10b}]},scores={deeper_dark.var=2..},gamemode=!creative] -1 points
effect clear @a[nbt={Inventory:[{Slot:101b,tag:{deeper_dark_enchantments:["safefall"]}}]},nbt={ActiveEffects:[{Id:28,Amplifier:10b}]},scores={deeper_dark.var=..2}] minecraft:slow_falling

execute as @a[nbt={Inventory:[{Slot:100b,tag:{deeper_dark_enchantments:["darkspeed"]}}]},predicate=deeper_dark:0_light,nbt={OnGround:1b},nbt=!{abilities:{flying:1b}}] run attribute @s minecraft:generic.movement_speed modifier add bb3b5455-315d-444e-8663-722139bbe4b6 deeperdarkboots 0.4000000059604645 multiply
execute as @a[predicate=!deeper_dark:0_light] run attribute @s minecraft:generic.movement_speed modifier remove bb3b5455-315d-444e-8663-722139bbe4b6
execute as @a[nbt=!{Inventory:[{Slot:100b,tag:{deeper_dark_enchantments:["darkspeed"]}}]}] run attribute @s minecraft:generic.movement_speed modifier remove bb3b5455-315d-444e-8663-722139bbe4b6
execute as @a[nbt={abilities:{flying:1b}}] run attribute @s minecraft:generic.movement_speed modifier remove bb3b5455-315d-444e-8663-722139bbe4b6
execute at @a[nbt={OnGround:1b,Inventory:[{Slot:100b,tag:{deeper_dark_enchantments:["darkspeed"]}}]},predicate=deeper_dark:0_light] unless entity @e[tag=deeper_dark.boots,distance=0..1] run particle minecraft:sculk_soul ~ ~ ~ 0 .1 0 1 0
execute at @a[nbt={OnGround:1b,Inventory:[{Slot:100b,tag:{deeper_dark_enchantments:["darkspeed"]}}]},predicate=deeper_dark:0_light] unless entity @e[tag=deeper_dark.boots,distance=0..1] run summon minecraft:marker ~ ~ ~ {Tags:["deeper_dark.boots"]}
execute as @e[tag=deeper_dark.boots] at @s unless entity @p[distance=0..1] run tag @s add deeper_dark.silent_despawn

execute as @e[predicate=deeper_dark:enchantment_resonate,nbt={HurtTime:1s}] on attacker at @s run playsound minecraft:block.amethyst_block.resonate player @a ~ ~ ~ 2 0
execute as @e[predicate=deeper_dark:enchantment_resonate,nbt={HurtTime:1s}] on attacker at @s run effect give @s minecraft:glowing 15 0 false
execute as @e[predicate=deeper_dark:enchantment_resonate,nbt={HurtTime:1s}] on attacker at @s run advancement grant @a[predicate=deeper_dark:enchantment_resonate,nbt={HurtTime:1s}] only deeper_dark:resonate
execute as @e[predicate=deeper_dark:enchantment_resonate,nbt={HurtTime:1s}] on attacker at @s anchored eyes run particle dust 0.498 0.247 0.698 1 ^ ^ ^ 0.4 0.4 0.4 1 10 force
advancement revoke @a only deeper_dark:functions/using_shield

scoreboard objectives add deeper_dark.shrieker_sense_marker_duration dummy
execute as @a[predicate=deeper_dark:enchantment_shrieker_sense,advancements={deeper_dark:functions/using_spyglass=true}] at @s anchored eyes positioned ^ ^ ^ run function deeper_dark:armor/shrieker_sense
advancement revoke @a only deeper_dark:functions/using_spyglass
execute as @e[tag=deeper_dark.shrieker_sense_marker] run scoreboard players add @s deeper_dark.shrieker_sense_marker_duration 1
tag @e[tag=deeper_dark.shrieker_sense_marker,scores={deeper_dark.shrieker_sense_marker_duration=1200..}] add deeper_dark.silent_despawn

#sculk conversion
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s if score @s deeper_dark.sculk_converter.conversion_time matches 1.. run function deeper_dark:sculk_converter/sculk_conversion_animation
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s if score @s deeper_dark.sculk_converter.conversion_time matches 1 run function deeper_dark:sculk_converter/sculk_conversion
execute if score Game deeper_dark.gamerule.disable_sculk_conversion matches 0 as @e[type=item,nbt={Item:{id:"minecraft:disc_fragment_5",tag:{deeper_dark_altar_fragment:1b}}}] at @s if block ~ ~-.1 ~ minecraft:sculk_catalyst run function deeper_dark:sculk_converter/setup
execute as @e[tag=deeper_dark.sculk_converter] at @s unless block ~ ~ ~ minecraft:sculk_catalyst if data entity @s data.Item run function deeper_dark:sculk_converter/hitbox_remove
execute as @e[tag=deeper_dark.sculk_converter] at @s positioned ~ ~3 ~1 if block ~ ~ ~ minecraft:hopper[enabled=true,facing=north] unless data entity @s data.Item run function deeper_dark:sculk_converter/hopper_place
execute as @e[tag=deeper_dark.sculk_converter] at @s positioned ~-1 ~3 ~ if block ~ ~ ~ minecraft:hopper[enabled=true,facing=east] unless data entity @s data.Item run function deeper_dark:sculk_converter/hopper_place
execute as @e[tag=deeper_dark.sculk_converter] at @s positioned ~ ~3 ~-1 if block ~ ~ ~ minecraft:hopper[enabled=true,facing=south] unless data entity @s data.Item run function deeper_dark:sculk_converter/hopper_place
execute as @e[tag=deeper_dark.sculk_converter] at @s positioned ~1 ~3 ~ if block ~ ~ ~ minecraft:hopper[enabled=true,facing=west] unless data entity @s data.Item run function deeper_dark:sculk_converter/hopper_place
execute as @e[tag=deeper_dark.sculk_converter] at @s unless block ~ ~ ~ minecraft:sculk_catalyst run function deeper_dark:sculk_converter/remove_fragment
execute as @e[tag=deeper_dark.sculk_converter] at @s positioned ~ ~1 ~ run function deeper_dark:sculk_converter/display_fragments
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s run scoreboard players set @s deeper_dark.sculk_converter.flames 0
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s rotated 0 0 if block ^ ^ ^3 minecraft:soul_fire run scoreboard players add @s deeper_dark.sculk_converter.flames 1
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s rotated 45 0 if block ^ ^ ^3 minecraft:soul_fire run scoreboard players add @s deeper_dark.sculk_converter.flames 1
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s rotated 90 0 if block ^ ^ ^3 minecraft:soul_fire run scoreboard players add @s deeper_dark.sculk_converter.flames 1
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s rotated 135 0 if block ^ ^ ^3 minecraft:soul_fire run scoreboard players add @s deeper_dark.sculk_converter.flames 1
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s rotated 180 0 if block ^ ^ ^3 minecraft:soul_fire run scoreboard players add @s deeper_dark.sculk_converter.flames 1
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s rotated 225 0 if block ^ ^ ^3 minecraft:soul_fire run scoreboard players add @s deeper_dark.sculk_converter.flames 1
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s rotated 270 0 if block ^ ^ ^3 minecraft:soul_fire run scoreboard players add @s deeper_dark.sculk_converter.flames 1
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s rotated 315 0 if block ^ ^ ^3 minecraft:soul_fire run scoreboard players add @s deeper_dark.sculk_converter.flames 1
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s if score @s deeper_dark.sculk_converter.conversion_time matches 1.. if score @s deeper_dark.sculk_converter.flames < @s deeper_dark.sculk_converter.flame_cost run scoreboard players set @s deeper_dark.sculk_converter.conversion_time 0
execute if score Game deeper_dark.gamerule.disable_sculk_conversion matches 0 as @e[tag=deeper_dark.sculk_converter.complete] at @s if data block ~ ~ ~ cursors[0].charge run function deeper_dark:sculk_converter/charge
execute as @e[tag=deeper_dark.sculk_converter.complete] at @s positioned ~ ~1.5 ~ run function deeper_dark:sculk_converter/display_xp
execute as @e[tag=deeper_dark.sculk_converter_hitbox] at @s if data entity @s interaction positioned ~ ~-2.5 ~ if data entity @e[tag=deeper_dark.sculk_converter,limit=1,sort=nearest,distance=0...1] data.Item unless score @e[tag=deeper_dark.sculk_converter,limit=1,sort=nearest,distance=0...1] deeper_dark.sculk_converter.conversion_time matches 1.. run function deeper_dark:sculk_converter/hitbox_remove
execute as @e[tag=deeper_dark.sculk_converter_hitbox] at @s if data entity @s interaction positioned ~ ~-2.5 ~ unless data entity @e[tag=deeper_dark.sculk_converter,limit=1,sort=nearest,distance=0...1] data.Item run function deeper_dark:sculk_converter/hitbox_place
execute as @e[tag=deeper_dark.sculk_converter_item] at @s positioned ~ ~-3 ~ run data modify entity @s item set from entity @e[tag=deeper_dark.sculk_converter,limit=1,sort=nearest,distance=0...1] data.Item
execute as @e[tag=deeper_dark.sculk_converter_item] at @s positioned ~ ~-3 ~ unless data entity @e[tag=deeper_dark.sculk_converter,limit=1,sort=nearest,distance=0...1] data.Item run data remove entity @s item

#give @p minecraft:enchanted_book{display:{Lore:['{"text":"Darkspeed","color":"#007A8A","italic":false}']},deeper_dark_stored_enchantment:darkspeed,deeper_dark_enchanted_book:1b} 1

#shockwave
execute if entity @e[tag=deeper_dark.shockwave_part,limit=1] run function deeper_dark:shockwave/ai



#shock
#scoreboard players add @e[type=minecraft:text_display,tag=deeper_dark.shock] deeper_dark.var 1
#execute as @e[type=minecraft:text_display,tag=deeper_dark.shock,scores={deeper_dark.var=1}] run data merge entity @s {text_opacity:3b}
#execute as @e[type=minecraft:text_display,tag=deeper_dark.shock,scores={deeper_dark.var=1}] run data merge entity @s {start_interpolation:-1,interpolation_duration:5,transformation:{scale:[12.5f,12.5f,1f],translation:[-0.225f,-1.825f,0f]},text_opacity:-127b}
#execute as @e[type=minecraft:text_display,tag=deeper_dark.shock,scores={deeper_dark.var=5}] run data merge entity @s {text_opacity:127b}
#execute as @e[type=minecraft:text_display,tag=deeper_dark.shock,scores={deeper_dark.var=6}] run data merge entity @s {start_interpolation:-1,interpolation_duration:5,transformation:{scale:[25f,25f,1f],translation:[-0.45f,-3.65f,0f]},text_opacity:4b}
#execute as @e[type=minecraft:text_display,tag=deeper_dark.shock,scores={deeper_dark.var=10..}] run kill @s


execute as @a[scores={deeper_dark.sonicattack=0},nbt={SelectedItem:{tag:{deeper_dark_warden_tracker:1b}}}] at @s run function deeper_dark:items/warden_tracker
execute as @a[scores={deeper_dark.sonicattack=0},nbt={Inventory:[{tag:{deeper_dark_warden_tracker:1b},Slot:-106b}]}] at @s run function deeper_dark:items/warden_tracker



#portal
execute as @e[tag=deeper_dark.portal_sync,limit=1,sort=random] at @s unless entity @e[tag=deeper_dark.portal_display,distance=0..1.5] if loaded ~ ~ ~ run function deeper_dark:portal/portal_sync
execute as @e[tag=deeper_dark.portal_sync,limit=1,sort=random] at @s if entity @e[tag=deeper_dark.portal_display,distance=0..1.5] run kill @s
execute as @e[tag=deeper_dark.portal_sync,limit=1,sort=random] at @s unless block ~ ~-.1 ~ minecraft:reinforced_deepslate run kill @s


execute as @e[tag=deeper_dark.portal_marker] at @s if loaded ~ ~ ~ run function deeper_dark:portal/unlight
execute as @e[tag=deeper_dark.portal_marker] at @s if loaded ~ ~ ~ unless block ~ ~ ~ light run kill @s
execute as @a at @s at @e[tag=deeper_dark.portal_display,limit=10,sort=nearest] unless entity @e[distance=0...1,tag=deeper_dark.portal_marker] if block ~ ~ ~ minecraft:light run playsound minecraft:entity.warden.death block @s ~ ~ ~ 10 0
execute as @e[tag=deeper_dark.portal_display] at @s unless entity @e[distance=0...1,tag=deeper_dark.portal_marker] if block ~ ~ ~ minecraft:light run setblock ~ ~ ~ minecraft:air
execute as @e[tag=deeper_dark.portal_display] at @s unless entity @e[distance=0...1,tag=deeper_dark.portal_marker] run kill @s
execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 as @e[tag=deeper_dark.portal_marker] if predicate deeper_dark:chance_50 at @s run particle minecraft:sculk_soul ~ ~ ~ .5 .5 .5 0.01 1 force
execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 as @e[tag=deeper_dark.portal_marker] if predicate deeper_dark:chance_50 at @s run particle minecraft:sculk_charge_pop ~ ~ ~ .5 .5 .5 0 1
execute if score Game deeper_dark.gamerule.disable_portal_particles matches 0 as @a at @s at @e[tag=deeper_dark.portal_marker,limit=1,sort=nearest] run playsound minecraft:block.sculk_catalyst.bloom block @s ~ ~ ~ 2 0

execute if score Game deeper_dark.gamerule.disable_portals matches 0 as @e[tag=deeper_dark.portal_marker,predicate=deeper_dark:in_deeper_dark] at @s positioned ~-.5 ~.5 ~-.5 as @e[limit=1,sort=nearest,dx=0,dy=0,dz=0,type=!marker,type=!text_display,type=!block_display,type=!item_display,type=!armor_stand,predicate=!deeper_dark:has_passenger,predicate=deeper_dark:in_deeper_dark,tag=!deeper_dark.tp_cooldown,distance=0..] run function deeper_dark:portal/send_to_overworld
execute if score Game deeper_dark.gamerule.disable_portals matches 0 as @e[tag=deeper_dark.portal_marker,predicate=minecraft:in_overworld] at @s positioned ~-.5 ~.5 ~-.5 as @e[limit=1,sort=nearest,dx=0,dy=0,dz=0,type=!marker,type=!text_display,type=!block_display,type=!item_display,type=!armor_stand,predicate=!deeper_dark:has_passenger,predicate=minecraft:in_overworld,tag=!deeper_dark.tp_cooldown,distance=0..] run function deeper_dark:portal/send_to_deeper_dark
tag @e[tag=deeper_dark.portal_transfer_target] remove deeper_dark.portal_transfer_target
execute as @e[tag=deeper_dark.portal_marker] at @s unless data entity @s data.location run kill @s


#silent_despawn
execute as @e[tag=deeper_dark.silent_despawn] at @s run tp @s ~ ~-10000 ~
execute as @e[tag=deeper_dark.silent_despawn] run kill @s



#creative items
tellraw @a[scores={deeper_dark.items=1}] [{"text":"\nItems From ","hoverEvent":{"action":"show_text","value":[{"text":"Click on an item to get it"}]}},{"text":"Deeper Dark","color":"#007A8A","hoverEvent":{"action":"show_text","value":[{"text":"Go To Website"}]},"clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/data-pack/deeper-dark-dimension/"}},{"text":":\n"},{"text":"Sculk Enchanted Book (Clearsight)\n","color":"yellow","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 2"}},{"text":"Sculk Enchanted Book (Sonic Boom)\n","color":"yellow","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 3"}},{"text":"Sculk Enchanted Book (Safefall)\n","color":"yellow","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 4"}},{"text":"Sculk Enchanted Book (Darkspeed)\n","color":"yellow","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 5"}},{"text":"Activated Sculk Shrieker\n","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 6"}},{"text":"Splash Potion of Blindness\n","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 7"}},{"text":"Amethyst Mineshaft Locator Compass\n","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 8"}},{"text":"Warden Tracker\n","color":"yellow","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 9"}},{"text":"Sculk Enchanted Book (Resonate)\n","color":"yellow","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 10"}},{"text":"Conversion Altar Fragment\n","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 11"}},{"text":"Sculk Enchanted Book (Shrieker Sense)\n","color":"yellow","clickEvent":{"action":"run_command","value":"/trigger deeper_dark.items set 12"}}]

give @a[scores={deeper_dark.items=2}] minecraft:enchanted_book{display:{Lore:['{"text":"Clearsight","color":"#007A8A","italic":false}']},deeper_dark_stored_enchantment:clearsight,deeper_dark_enchanted_book:1b} 1
give @a[scores={deeper_dark.items=3}] minecraft:enchanted_book{display:{Lore:['{"text":"Sonic Boom","color":"#007A8A","italic":false}']},deeper_dark_stored_enchantment:sonic_boom,deeper_dark_enchanted_book:1b} 1
give @a[scores={deeper_dark.items=4}] minecraft:enchanted_book{display:{Lore:['{"text":"Safefall","color":"#007A8A","italic":false}']},deeper_dark_stored_enchantment:safefall,deeper_dark_enchanted_book:1b} 1
give @a[scores={deeper_dark.items=5}] minecraft:enchanted_book{display:{Lore:['{"text":"Darkspeed","color":"#007A8A","italic":false}']},deeper_dark_stored_enchantment:darkspeed,deeper_dark_enchanted_book:1b} 1
give @a[scores={deeper_dark.items=6}] minecraft:sculk_shrieker{display:{Name:'{"text":"Activated Sculk Shrieker","italic":false}'},Enchantments:[{}],BlockStateTag:{can_summon:"true"}} 1
give @a[scores={deeper_dark.items=7}] minecraft:splash_potion{display:{Name:'{"text":"Splash Potion of Blindness","italic":false}'},CustomPotionEffects:[{Id:15,Amplifier:0b,Duration:1200}],CustomPotionColor:1118481}
give @a[scores={deeper_dark.items=8}] minecraft:compass{display:{Name:'{"text":"Amethyst Mineshaft Locator Compass","italic":false}'},deeper_dark_located:0b,deeper_dark_locator:amethyst_mineshaft,LodestoneDimension:"deeper_dark:deeper_dark",LodestoneTracked:0b}
give @a[scores={deeper_dark.items=9}] minecraft:compass{display:{Name:'{"text":"Warden Tracker","color":"yellow","italic":false}',Lore:['{"text":"Hold In Your Hand to Use","color":"gray","italic":false}']},deeper_dark_warden_tracker:1b,LodestoneDimension:"/",LodestoneTracked:0b,LodestonePos:{X:0,Y:0,Z:0}}
give @a[scores={deeper_dark.items=10}] minecraft:enchanted_book{display:{Lore:['{"text":"Resonate","color":"#007A8A","italic":false}']},deeper_dark_stored_enchantment:resonate,deeper_dark_enchanted_book:1b} 1
give @a[scores={deeper_dark.items=11}] minecraft:disc_fragment_5{display:{Name:'{"text":"Conversion Altar Fragment","italic":false}',Lore:['{"text":"Drop on a Sculk Catalyst","italic":false}']},deeper_dark_altar_fragment:1b,Enchantments:[{}]} 1
give @a[scores={deeper_dark.items=12}] minecraft:enchanted_book{display:{Lore:['{"text":"Shrieker Sense","color":"#007A8A","italic":false}']},deeper_dark_stored_enchantment:shrieker_sense,deeper_dark_enchanted_book:1b} 1
scoreboard players reset @a deeper_dark.items
scoreboard players enable @a[gamemode=creative] deeper_dark.items


#∴ᔑℸ ̣ ᓵ⍑ ||𝙹⚍∷ ᓭℸ ̣ ᒷ!¡